---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
{% if kubespray_monitoring_ingress_annotations|length > 0 %}
  annotations:
{% for annotation_key, annotation_value in kubespray_monitoring_ingress_annotations.iteritems() %}
    {{ annotation_key }}: {{ annotation_value }}
{% endfor %}
{% endif %}
  name: dashboard-grafana
  namespace: {{ kubespray_monitoring_namespace }}
spec:
  rules:
    - host: grafana.{{ cluster_name }}
      http:
        paths:
        - path: /
          backend:
            serviceName: grafana
            servicePort: 3000
